using System;

using GalaSoft.MvvmLight;
using TreeNavigatorThemeTest.Models;
using System.Collections.Generic;

namespace TreeNavigatorThemeTest.ViewModels
{
    public class BlankViewModel : ViewModelBase
    {
        private List<TreeModel> models;
        public List<TreeModel> Models
        {
            get { return models; }
            set { models = value; }
        }

        public BlankViewModel()
        {
            Models = new List<TreeModel>();

            TreeModel winrt = new TreeModel() { Header = "WinRT (XAML)" };

            TreeModel metroStudio = new TreeModel() { Header = "Metro Studio" };

            TreeModel wpf = new TreeModel() { Header = "WPF (XAML)" };

            TreeModel Silverlight = new TreeModel() { Header = "Silverlight" };

            TreeModel UWP = new TreeModel() { Header = "UWP (XAML)" };

            TreeModel WindowsPhone = new TreeModel() { Header = "Metro Studio" };

            TreeModel winrt_chart = new TreeModel() { Header = "Chart" };

            TreeModel winrt_tools = new TreeModel() { Header = "Tools" };

            winrt.Models.Add(winrt_chart);

            winrt.Models.Add(winrt_tools);

            Models.Add(winrt);

            Models.Add(metroStudio);

            Models.Add(wpf);

            Models.Add(Silverlight);

            Models.Add(UWP);
            Models.Add(WindowsPhone);
        }
    }
}
