using TreeNavigatorThemeTest.Services;
using TreeNavigatorThemeTest.ViewModels;

using Windows.UI.Xaml.Controls;

namespace TreeNavigatorThemeTest.Views
{
    public sealed partial class BlankPage : Page
    {
        private BlankViewModel ViewModel
        {
            get { return DataContext as BlankViewModel; }
        }

        public BlankPage()
        {
            InitializeComponent();
            ThemeSelectorService.OnThemeChanged += ThemeSelectorService_OnThemeChanged;
        }

        private void ThemeSelectorService_OnThemeChanged(object sender, Windows.UI.Xaml.ElementTheme e)
        {
            treeNavigator.RequestedTheme = e;
        }
    }
}
